OpenVDB: AlphaMask< GridT, MaskT, SamplerT, FloatT > Class Template Reference

OpenVDB 12.1.1

Loading...
Searching...
No Matches
AlphaMask< GridT, MaskT, SamplerT, FloatT > Class Template Reference

`#include <openvdb/tools/Interpolation.h>`

## Public Types
using | GridType = GridT
using | MaskType = MaskT
using | SamlerType = SamplerT
using | FloatType = FloatT

## Public Member Functions
| AlphaMask (const GridT &grid, const MaskT &mask, FloatT min, FloatT max, bool invert)
bool | operator() (const Coord &xyz, FloatT &a, FloatT &b) const

## Protected Types
using | AccT = typename MaskType::ConstAccessor

## Protected Attributes
AccT | mAcc
tools::DualGridSampler< AccT, SamplerT > | mSampler
const FloatT | mMin
const FloatT | mInvNorm
const bool | mInvert

## Member Typedef Documentation

## ◆ AccT

template<typename GridT, typename MaskT, typename SamplerT = tools::BoxSampler, typename FloatT = float>

using AccT = typename MaskType::ConstAccessor
| protected

## ◆ FloatType

template<typename GridT, typename MaskT, typename SamplerT = tools::BoxSampler, typename FloatT = float>

using FloatType = FloatT

## ◆ GridType

template<typename GridT, typename MaskT, typename SamplerT = tools::BoxSampler, typename FloatT = float>

using GridType = GridT

## ◆ MaskType

template<typename GridT, typename MaskT, typename SamplerT = tools::BoxSampler, typename FloatT = float>

using MaskType = MaskT

## ◆ SamlerType

template<typename GridT, typename MaskT, typename SamplerT = tools::BoxSampler, typename FloatT = float>

using SamlerType = SamplerT

## Constructor & Destructor Documentation

## ◆ AlphaMask()

template<typename GridT, typename MaskT, typename SamplerT = tools::BoxSampler, typename FloatT = float>

AlphaMask | ( | const GridT & | grid,
|  | const MaskT & | mask,
|  | FloatT | min,
|  | FloatT | max,
|  | bool | invert )
| inline

## Member Function Documentation

## ◆ operator()()

template<typename GridT, typename MaskT, typename SamplerT = tools::BoxSampler, typename FloatT = float>

bool operator() | ( | const Coord & | xyz,
|  | FloatT & | a,
|  | FloatT & | b ) const
| inline

## Member Data Documentation

## ◆ mAcc

template<typename GridT, typename MaskT, typename SamplerT = tools::BoxSampler, typename FloatT = float>

AccT mAcc
| protected

## ◆ mInvert

template<typename GridT, typename MaskT, typename SamplerT = tools::BoxSampler, typename FloatT = float>

const bool mInvert
| protected

## ◆ mInvNorm

template<typename GridT, typename MaskT, typename SamplerT = tools::BoxSampler, typename FloatT = float>

const FloatT mInvNorm
| protected

## ◆ mMin

template<typename GridT, typename MaskT, typename SamplerT = tools::BoxSampler, typename FloatT = float>

const FloatT mMin
| protected

## ◆ mSampler

template<typename GridT, typename MaskT, typename SamplerT = tools::BoxSampler, typename FloatT = float>

tools::DualGridSampler<AccT, SamplerT> mSampler
| protected